CYR_INFO(8)

NAME
cyr_info - Cyrus IMAP documentation

General cyrus inspection tool

SYNOPSIS

cyr_info [OPTIONS] conf
cyr_info [OPTIONS] conf-default
cyr_info [OPTIONS] conf-all
cyr_info [OPTIONS] conf-lint
cyr_info [OPTIONS] proc

DESCRIPTION

cyr_info is a tool for getting information from Cyrus. The intent is to extend this tool with useful commands to make managing and configuring Cyrus easier.

cyr_info reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

cyr_info provides the following sub-commands:

conf
    Print only the configuration options which are not the same as default (regardless of whether you have specified them or not).

conf-default
    Print all default configuration options, ignoring those set locally.

conf-all
    Print ALL configuration options - including default options. This command shows which options will be in effect at runtime.

conf-lint
    Print only configuration options which are NOT recognised. This command should not print anything. It uses cyrus.conf to find the names of configured services to avoid displaying any known configuration options for the named service.

proc
    Print all currently connected processes in the proc directory

OPTIONS

-C config-file
    Use the specified configuration file config-file rather than the default imapd.conf(5).

-M config-file
    Read service specifications from config-file (cyrus.conf format).

-n servicename
    Read the configuration as if for the service named name.

EXAMPLES

cyr_info proc
List all the proc files and who they're logged in as.

cyr_info conf-lint
Lint the configuration for unrecognized settings.

HISTORY

This command was introduced in version 3.0.

FILES

/etc/imapd.conf, /etc/cyrus.conf

SEE ALSO

imapd.conf(5), cyrus.conf(5)

AUTHOR
The Cyrus Team, Nic Bernstein (Onlight), Jeroen van Meeuwen (Kolab Systems)

COPYRIGHT
1993-2017, The Cyrus Team